# Retrieve Transactions
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/transactions-and-fees-management/retrieve-trans/index.md

## Overview {#overview}

The use case describes how you retrieve the transactions for the contract in a defined period. Refer to [Transactions and Documents](https://developer.mastercard.com/mastercard-processing-core/documentation/guides/transactions-and-documents/index.md) for more information. Use additional filtering to retrieve only the transactions:

* of the specified type (query parameter `transaction_type_codes`)
* which are authorized (query parameter `authorized`)
* with different impacts on the contract's balance (query parameter `authorization_filter_mode`)

## Sequence diagram {#sequence-diagram}

Diagram retrieve-trans

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/transactions` endpoint. To retrieve data for the account contract or card contract, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. The server must also send the required query path parameters `date_from` and `date_to` to define the period for which transactions must be retrieved. Tip: The `transaction_type_codes` is serialized with `explode: false`, so if you want to define more than one transaction type code, they must be separated by a comma. For example, `/contracts/{contract_id}/transactions?transaction_type_codes=0515,0700`
2. The API returns a list of transactions. Refer to [Endpoint](https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/transactions-and-fees-management/retrieve-trans/index.md#endpoint) to check the complete list of data returned by the endpoint. Tip: The operation supports [pagination](https://developer.mastercard.com/mastercard-processing-core/documentation/api-basics-section/pagination-filtering/index.md). Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/transactions-and-fees-management/retrieve-transactions/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/transactions`

